Debian Bug report logs - #184624
Please fix -H init option for preventing gnumach from automatically rebooting on panic

version graph

Package: gnumach; Maintainer for gnumach is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for gnumach is src:gnumach.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Thu, 13 Mar 2003 19:18:02 UTC

Severity: normal

Tags: upstream

Found in version 1:20020421-1

Fixed in version gnumach/1:20060402.dfsg.1-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=15301

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>, gnumach@packages.qa.debian.org:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>, gnumach@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: reboots unexpectedly after panic
Date: Thu, 13 Mar 2003 20:10:25 +0100
Package: gnumach
Version: 1:20020421-1 (not installed)
Severity: normal

I was running an highly resource consumption process when Mach paniced. The
reason is probably related to bug #82600

But the problem i'm reporting is that Mach unexpectedly rebooted the machine
after panicing. The error message i could read was something similar to:

  panic: kalloc: memory exhausted in zalloc

(it's not exact, as i didn't have time to write it down. there was a number
i ommited and maybe the "zalloc/kalloc" order was reversed)

Mach should realy stop after a panic and let the user read the message,
instead of rebooting.

just in case it helps, my system has 128 MB of RAM and 512 MB of swap.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux aragorn 2.2.22 #1 dl nov 25 21:59:43 CET 2002 i586
Locale: LANG=ca_ES.ISO-8859-1, LC_CTYPE=ca_ES@euro (ignored: LC_ALL set)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #10 received at 184624@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Robert Millan <rmh@debian.org>, 184624@bugs.debian.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Mon, 1 Mar 2004 14:53:43 +0100
On Thu, Mar 13, 2003 at 08:10:25PM +0100, Robert Millan wrote:
> I was running an highly resource consumption process when Mach
> paniced. The reason is probably related to bug #82600
> 
> But the problem i'm reporting is that Mach unexpectedly rebooted the
> machine after panicing. The error message i could read was something
> similar to:
> 
>   panic: kalloc: memory exhausted in zalloc
> 
> (it's not exact, as i didn't have time to write it down. there was a
> number i ommited and maybe the "zalloc/kalloc" order was reversed)
> 
> Mach should realy stop after a panic and let the user read the
> message, instead of rebooting.

I was just reading the FAQ on http://www.gnu.org/software/hurd/faq.en.html
and noticed this:

--8<--
5.5.  When GNU/Hurd crashes, GNU Mach automatically reboots. Is there
anyway I can make it pause so I can write down the error?

{MB} Pass the `-H' option to init (add it to the boot command line), and
`init' will tell Mach to enter the kernel debugger instead to rebooting
it. At the debugger prompt (`db>'), you can type `reboot' any time to
reboot the system. 
--8<--


Maybe that helps in your case?


Michael



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #15 received at 184624@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Michael Banck <mbanck@debian.org>
Cc: 184624@bugs.debian.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 00:24:12 +0100
On Mon, Mar 01, 2004 at 02:53:43PM +0100, Michael Banck wrote:
> I was just reading the FAQ on http://www.gnu.org/software/hurd/faq.en.html
> and noticed this:
> 
> --8<--
> 5.5.  When GNU/Hurd crashes, GNU Mach automatically reboots. Is there
> anyway I can make it pause so I can write down the error?
> 
> {MB} Pass the `-H' option to init (add it to the boot command line), and
> `init' will tell Mach to enter the kernel debugger instead to rebooting
> it. At the debugger prompt (`db>'), you can type `reboot' any time to
> reboot the system. 
> --8<--
> 
> 
> Maybe that helps in your case?

I'm not working on GNU/Hurd currently, but I think the default behaviour
instead of reboot should either be halt or enter the debugger.

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to "M. Gerards" <metgerards@student.han.nl>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #20 received at 184624@bugs.debian.org (full text, mbox):

From: "M. Gerards" <metgerards@student.han.nl>
To: 184624@bugs.debian.org, Robert Millan <zeratul2@wanadoo.es>
Cc: Michael Banck <mbanck@debian.org>
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 11:43:06 +0100
Quoting Robert Millan <zeratul2@wanadoo.es>:

> > {MB} Pass the `-H' option to init (add it to the boot command line), and
> > `init' will tell Mach to enter the kernel debugger instead to rebooting
> > it. At the debugger prompt (`db>'), you can type `reboot' any time to
> > reboot the system. 
> > --8<--
> > 
> > 
> > Maybe that helps in your case?
> 
> I'm not working on GNU/Hurd currently, but I think the default behaviour
> instead of reboot should either be halt or enter the debugger.

The `-H' option does not work anymore (please correct me if I am wrong).
This used to work with serverboot, I think there is something wrong with the
bootscript or how Mach or ext2fs.static passes the argument to init.

It is easy to change GNU Mach so it just stops (for (;;); or perhaps just
halting the system) instead of rebooting.  This might be useful when GNU Mach
crashes and you want to report it.

I already have the "for (;;);" hack in my tree.  Perhaps I can even change GNU
Mach so this becomes the default behaviour and you can use an argument to switch
to the old behavior.

Does someone think such patch would be useful?

--
Marco



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #25 received at 184624@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "M. Gerards" <metgerards@student.han.nl>
Cc: 184624@bugs.debian.org, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 14:09:10 +0100
On Tue, Mar 02, 2004 at 11:43:06AM +0100, M. Gerards wrote:
> [...]
> 
> I already have the "for (;;);" hack in my tree.  Perhaps I can even change GNU
> Mach so this becomes the default behaviour and you can use an argument to switch
> to the old behavior.
> 
> Does someone think such patch would be useful?

I do (although I prefer while(1) ;)

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to "Alfred M. Szmidt" <ams@kemisten.nu>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #30 received at 184624@bugs.debian.org (full text, mbox):

From: "Alfred M. Szmidt" <ams@kemisten.nu>
To: Robert Millan <zeratul2@wanadoo.es>, 184624@bugs.debian.org
Cc: mbanck@debian.org, debian-bugs-dist@lists.debian.org, 184624@bugs.debian.org, bug-hurd@gnu.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 15:51:02 +0100 (MET)
   I'm not working on GNU/Hurd currently, but I think the default
   behaviour instead of reboot should either be halt or enter the
   debugger.

The default behaviour shouldn't be a halt.  It is a bitch if you have
Mach crash on you remotley and it is never brought back up.  It is
simple to hack Mach so that it doesn't reboot, add a for-ever loop in
kern/debug.c:panic() or some such.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to "Alfred M. Szmidt" <ams@kemisten.nu>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #35 received at 184624@bugs.debian.org (full text, mbox):

From: "Alfred M. Szmidt" <ams@kemisten.nu>
To: "M. Gerards" <metgerards@student.han.nl>, 184624@bugs.debian.org
Cc: 184624@bugs.debian.org, zeratul2@wanadoo.es, debian-bugs-dist@lists.debian.org, mbanck@debian.org, bug-hurd@gnu.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 16:48:40 +0100 (MET)
   Perhaps I can even change GNU Mach so this becomes the default
   behaviour and you can use an argument to switch to the old
   behavior.

Please don't.  A option that makes GNU Mach halt is ok, the default
should be "quick reboot".

   Does someone think such patch would be useful?

Yes.  But only if the current behaviour is left as default.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <marcus.brinkmann@ruhr-uni-bochum.de>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #40 received at 184624@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <marcus.brinkmann@ruhr-uni-bochum.de>
To: "M. Gerards" <metgerards@student.han.nl>, 184624@bugs.debian.org
Cc: Robert Millan <zeratul2@wanadoo.es>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 02 Mar 2004 17:27:17 +0100
At Tue,  2 Mar 2004 11:43:06 +0100,
marco_g wrote:
> 
> Quoting Robert Millan <zeratul2@wanadoo.es>:
> 
> > > {MB} Pass the `-H' option to init (add it to the boot command line), and
> > > `init' will tell Mach to enter the kernel debugger instead to rebooting
> > > it. At the debugger prompt (`db>'), you can type `reboot' any time to
> > > reboot the system. 
> > > --8<--
> > > 
> > > 
> > > Maybe that helps in your case?
> > 
> > I'm not working on GNU/Hurd currently, but I think the default behaviour
> > instead of reboot should either be halt or enter the debugger.
> 
> The `-H' option does not work anymore (please correct me if I am wrong).
> This used to work with serverboot, I think there is something wrong with the
> bootscript or how Mach or ext2fs.static passes the argument to init.

If you can fix that, this would be useful.
 
> It is easy to change GNU Mach so it just stops (for (;;); or perhaps just
> halting the system) instead of rebooting.  This might be useful when GNU Mach
> crashes and you want to report it.
> 
> I already have the "for (;;);" hack in my tree.  Perhaps I can even change GNU
> Mach so this becomes the default behaviour and you can use an argument to switch
> to the old behavior.

The default behaviour is reboot, because otherwise if it is a server
or remote, you are screwed up if it hangs.  It's the right thing to
do.  If you are developing, this is not so convenient of course.  Then
you can either use -H or I think gnumach-dbg enters the debugger by default.

However.  Note that if you are running X or the new console, you won't
see anything.  No kernel message, and also not the debugger.  How
useful is that?

Thanks,
Marcus




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Jeroen Dekkers <jeroen@dekkers.cx>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #45 received at 184624@bugs.debian.org (full text, mbox):

From: Jeroen Dekkers <jeroen@dekkers.cx>
To: Robert Millan <zeratul2@wanadoo.es>, 184624@bugs.debian.org
Cc: metgerards@student.han.nl, mbanck@debian.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 20:03:57 +0100
On Tue, Mar 02, 2004 at 02:09:10PM +0100, Robert Millan wrote:
> On Tue, Mar 02, 2004 at 11:43:06AM +0100, M. Gerards wrote:
> > [...]
> > 
> > I already have the "for (;;);" hack in my tree.  Perhaps I can even change GNU
> > Mach so this becomes the default behaviour and you can use an argument to switch
> > to the old behavior.
> > 
> > Does someone think such patch would be useful?
> 
> I do (although I prefer while(1) ;)

I prefer getchar() (at least this was the hack I used on OSKit-Mach,
in GNU Mach 1.3 the function probably has a different name) so it
still reboots when you press a key. We could show a "Press any key"
message too.

-- 
Jeroen Dekkers



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #50 received at 184624@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "Alfred M. Szmidt" <ams@kemisten.nu>
Cc: 184624@bugs.debian.org
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Tue, 2 Mar 2004 23:37:28 +0100
On Tue, Mar 02, 2004 at 04:48:40PM +0100, Alfred M. Szmidt wrote:
>    Perhaps I can even change GNU Mach so this becomes the default
>    behaviour and you can use an argument to switch to the old
>    behavior.
> 
> Please don't.  A option that makes GNU Mach halt is ok, the default
> should be "quick reboot".
> 
>    Does someone think such patch would be useful?
> 
> Yes.  But only if the current behaviour is left as default.

Why not sleep for, say, 10 seconds then reboot?

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#184624; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Marco Gerards <metgerards@student.han.nl>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #55 received at 184624@bugs.debian.org (full text, mbox):

From: Marco Gerards <metgerards@student.han.nl>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 184624@bugs.debian.org, "Alfred M. Szmidt" <ams@kemisten.nu>
Subject: Re: Bug#184624: reboots unexpectedly after panic
Date: Wed, 03 Mar 2004 18:10:17 +0100
Robert Millan <zeratul2@wanadoo.es> writes:

>> Please don't.  A option that makes GNU Mach halt is ok, the default
>> should be "quick reboot".
>> 
>>    Does someone think such patch would be useful?
>> 
>> Yes.  But only if the current behaviour is left as default.
>
> Why not sleep for, say, 10 seconds then reboot?

That is what happens now.

--
Marco




Changed Bug submitter from Robert Millan <rmh@debian.org> to Robert Millan <rmh@aybabtu.com>. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=15301. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #68 received at 184624-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 184624-close@bugs.debian.org
Subject: Bug#184624: fixed in gnumach 1:20060402.dfsg.1-1
Date: Sun, 02 Apr 2006 08:32:12 -0700
Source: gnumach
Source-Version: 1:20060402.dfsg.1-1

We believe that the bug you reported is fixed in the latest version of
gnumach, which is due to be installed in the Debian FTP archive:

gnumach-dbg_20060402.dfsg.1-1_i386.deb
  to pool/main/g/gnumach/gnumach-dbg_20060402.dfsg.1-1_i386.deb
gnumach-dev_20060402.dfsg.1-1_i386.deb
  to pool/main/g/gnumach/gnumach-dev_20060402.dfsg.1-1_i386.deb
gnumach-udeb_20060402.dfsg.1-1_i386.udeb
  to pool/main/g/gnumach/gnumach-udeb_20060402.dfsg.1-1_i386.udeb
gnumach_20060402.dfsg.1-1.diff.gz
  to pool/main/g/gnumach/gnumach_20060402.dfsg.1-1.diff.gz
gnumach_20060402.dfsg.1-1.dsc
  to pool/main/g/gnumach/gnumach_20060402.dfsg.1-1.dsc
gnumach_20060402.dfsg.1-1_i386.deb
  to pool/main/g/gnumach/gnumach_20060402.dfsg.1-1_i386.deb
gnumach_20060402.dfsg.1.orig.tar.gz
  to pool/main/g/gnumach/gnumach_20060402.dfsg.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 184624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated gnumach package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Apr 2006 17:30:25 +0300
Source: gnumach
Binary: gnumach gnumach-dev gnumach-udeb gnumach-dbg
Architecture: source i386
Version: 1:20060402.dfsg.1-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 gnumach    - The GNU version of the Mach microkernel
 gnumach-dbg - The GNU version of the Mach microkernel for debugging
 gnumach-dev - The GNU version of the Mach microkernel
 gnumach-udeb - The GNU version of the Mach microkernel (udeb)
Closes: 184624
Changes: 
 gnumach (1:20060402.dfsg.1-1) unstable; urgency=low
 .
   * New upstream CVS snapshot.
     - Remove GFDL license and the manual licensed with it.
     - debian/patches/00_clean_gfdl.patch: Do not build the manual.
     - debian/patches/11_nic_update.patch: Removed, integrated upstream.
     - debian/patches/16_net_apricot_stack_of.patch: Likewise.
     - debian/patches/17_net_gcc_4.0.patch: Likewise.
     - debian/patches/20_ide_disable_irqs.patch: Likewise.
     - debian/patches/21_pata_off_by_one_irq.patch: Likewise.
     - debian/patches/31_tls_ldt.patch: Likewise.
     - debian/patches/40_user-tss.patch: Likewise.
     - debian/patches/00_build_make_beta.patch: Removed, fixed upstream
     - debian/patches/12_sis900.patch: Sync.
     - debian/patches/13_ide_dma.patch: Likewise.
     - debian/patches/15_mem_obj_proxy.patch: Likewise.
     - debian/patches/41_io_unlock_ioremove.patch: Likewise.
     - debian/patches/42_disable_ioperm.patch: Likewise.
     - debian/patches/44_more_ports.patch: Likewise.
     - debian/patches/45_io_per_task.patch: Likewise.
     - debian/patches/46_io_device.patch: Likewise.
     - debian/patches/50_mem_limit.patch: Likewise.
     - debian/patches/90_autoconf_autogen.patch: Likewise.
   * Fix -H kernel command line argument to halt on panic. (Closes: #184624)
     - debian/patches/05_halt_on_panic_flag.patch: New file.
     Thanks to Soeren D. Schulze <soeren.d.schulze@gmx.de>.
   * Do not allow PCI IRQ's higher than 16.
     - debian/patches/patches/24_pci_irq_fix.patch: New file.
     Thanks to Gianluca Guida <glguida@gmail.com>.
   * Make the Linux device drivers use dynamic memory allocation via the
     glue code.
     - debian/patches/61_vm_resident-zoned.patch: New file.
     Thanks to Gianluca Guida <glguida@gmail.com>.
   * Build with -fno-strict-aliasing.
   * Remove Build-Depend on the new POSIX compliant make, it should work on
     old versions as well now.
   * Remove the no longer needed texinfo Buil-Depends, and comment out the
     mach.info from debian/gnumach.info.
Files: 
 60f863aa5f218dbc63674981b1695a69 869 base optional gnumach_20060402.dfsg.1-1.dsc
 f426bd3649e29ba8e15a0418e88d5346 3421550 base optional gnumach_20060402.dfsg.1.orig.tar.gz
 c010b776d7b1a124ed8694837e3ec120 68523 base optional gnumach_20060402.dfsg.1-1.diff.gz
 630b0a9a0aae61d56b3efa440bfc6de1 881752 base optional gnumach_20060402.dfsg.1-1_i386.deb
 1449cc04a6658bc5187f078daeb6fdd0 818346 debian-installer optional gnumach-udeb_20060402.dfsg.1-1_i386.udeb
 c594d690702e4298de0b8c9a3d054cdf 3111966 devel extra gnumach-dbg_20060402.dfsg.1-1_i386.deb
 2fccf77c563f14d4ea7c03b06ae55eec 135836 devel optional gnumach-dev_20060402.dfsg.1-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEL+hWuW9ciZ2SjJsRApjjAJ9nrV4406MOAMEYjB0JoNaND+vucwCdE4mE
CV/2DxTDRvMZaA8E3cpweqQ=
=FiYq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:19:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:58:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.